Bug 706139 (CVE-2011-0862)

Summary: CVE-2011-0862 OpenJDK: integer overflows in JPEGImageReader and font SunLayoutEngine (2D, 7013519)
Product: [Other] Security Response Reporter: Marc Schoenefeld <mschoene>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: ahughes, aph, dbhole, jlieskov, jvanek, mjc, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard: impact=critical,source=oracle,public=20110607,reported=20110518,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/java-1.6.0-openjdk=affected,rhel-6/java-1.6.0-openjdk=affected,rhel-6/java-1.6.0-sun=affected,rhel-5/java-1.6.0-sun=affected,rhel-4/java-1.6.0-sun=affected,rhel-4/java-1.4.2-ibm=affected,rhel-5/java-1.4.2-ibm=affected,rhel-4/java-1.5.0-ibm=affected,rhel-5/java-1.5.0-ibm=affected,rhel-6/java-1.5.0-ibm=affected,rhel-4/java-1.6.0-ibm=affected,rhel-5/java-1.6.0-ibm=affected,rhel-6/java-1.6.0-ibm=affected,cwe=CWE-190[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-29 08:47:13 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 668488, 676275, 709375, 709376, 711408, 711409, 711410, 720963, 720964, 720965, 723824, 723825, 723826, 729588, 729589, 729907, 729908, 729909    
Bug Blocks:    

Description Marc Schoenefeld 2011-05-19 11:33:29 EDT
Integer overflow flaws were found in the way Java2D parsed JPEG images and user-supplied fonts. An attacker could use these flaws to execute arbitrary code with the privileges of the user running an untrusted applet or application.
Comment 4 Tomas Hoger 2011-06-07 10:13:17 EDT
Two integer overflow flaws were corrected in Java2D:
- in the native code for theJPEGImageReader
- in the native code for the font SunLayoutEngine
Comment 5 Tomas Hoger 2011-06-08 02:26:41 EDT
Public now via Oracle CPU June 2011:
http://www.oracle.com/technetwork/topics/security/javacpujune2011-313339.html

Also fixed in IcedTea6 versions 1.8.8, 1.9.8 and 1.10.2:
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2011-June/014607.html

Patch:
http://icedtea.classpath.org/hg/release/icedtea6-1.9/file/8d393fbff5d3/patches/security/20110607/7013519.patch

Note: IcedTea announcement also mentions CVE-2011-0822.  That CVE id was planned to be used to refer to one of the two issue, but CVE-2011-0862 was finally used to refer to both.
Comment 6 errata-xmlrpc 2011-06-08 10:31:48 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0856 https://rhn.redhat.com/errata/RHSA-2011-0856.html
Comment 7 errata-xmlrpc 2011-06-08 10:53:49 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0857 https://rhn.redhat.com/errata/RHSA-2011-0857.html
Comment 8 errata-xmlrpc 2011-06-08 11:25:16 EDT
This issue has been addressed in following products:

  Extras for RHEL 4
  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2011:0860 https://rhn.redhat.com/errata/RHSA-2011-0860.html
Comment 9 Tomas Hoger 2011-06-09 15:00:59 EDT
CVE id CVE-2011-0862 was also used for additional integer overflows in the non-open sourced ICC parser.  ZDI has published several advisories for those problems.

Oracle Java ICC Profile MultiLanguage 'mluc' Tag Parsing Remote Code Execution Vulnerability
http://www.zerodayinitiative.com/advisories/ZDI-11-183/

Oracle Java ICC Profile Sequence Description 'pseq' Tag Parsing Remote Code Execution Vulnerability
http://www.zerodayinitiative.com/advisories/ZDI-11-184/

Oracle Java ICC Profile 'bfd ' Tag Parsing Remote Code Execution Vulnerability
http://www.zerodayinitiative.com/advisories/ZDI-11-185/

Oracle Java ICC Profile Multi-Language 'curv' Tag Parsing Remote Code Execution Vulnerability
http://www.zerodayinitiative.com/advisories/ZDI-11-186/

Oracle Java ICC Profile clrt Tag Parsing Remote Code Execution Vulnerability
http://www.zerodayinitiative.com/advisories/ZDI-11-187/

Oracle Java ICC Profile ncl2 Count Tag Parsing Remote Code Execution Vulnerability
http://www.zerodayinitiative.com/advisories/ZDI-11-188/

Oracle Java ICC Profile ncl2 DevCoords Tag Parsing Remote Code Execution Vulnerability
http://www.zerodayinitiative.com/advisories/ZDI-11-189/

Oracle Java ICC Profile 'crdi' Tag Parsing Remote Code Execution Vulnerability
http://www.zerodayinitiative.com/advisories/ZDI-11-190/

Oracle Java ICC Screening Tag Parsing Remote Code Execution Vulnerability
http://www.zerodayinitiative.com/advisories/ZDI-11-191/
Comment 10 Tomas Hoger 2011-06-16 03:51:26 EDT
Yet another advisory for ICC parsing issues:

Oracle Java ICC Profile rcs2 Tag Parsing Remote Code Execution Vulnerability
http://dvlabs.tippingpoint.com/advisory/TPTI-11-06
Comment 12 errata-xmlrpc 2011-07-15 01:57:23 EDT
This issue has been addressed in following products:

  Extras for RHEL 4
  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2011:0938 https://rhn.redhat.com/errata/RHSA-2011-0938.html
Comment 13 errata-xmlrpc 2011-07-22 18:54:41 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Extras for RHEL 4
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2011:1087 https://rhn.redhat.com/errata/RHSA-2011-1087.html
Comment 14 errata-xmlrpc 2011-08-15 13:49:45 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Extras for RHEL 4

Via RHSA-2011:1159 https://rhn.redhat.com/errata/RHSA-2011-1159.html
Comment 15 errata-xmlrpc 2011-09-06 17:20:17 EDT
This issue has been addressed in following products:

  RHEL 4 for SAP
  RHEL 5 for SAP
  RHEL 6 for SAP

Via RHSA-2011:1265 https://rhn.redhat.com/errata/RHSA-2011-1265.html
Comment 16 errata-xmlrpc 2013-10-23 12:57:49 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html